<?php
/*
Plugin Name: Instagram Feeds - Custom Templates
Description: An easy way to add custom templates for your Instagram Feeds without editing theme files.
Version: 1.0
Author: Smash Balloon
License: GPLv2 or later
*/

define( 'SBI_TEMPLATES_DIR_PATH', plugin_dir_path( __FILE__ ) );

function sbi_templates_change_template( $file, $part, $settings ) {
	$path = trailingslashit( SBI_TEMPLATES_DIR_PATH ) . 'templates/';

	if ( $part === 'feed' && file_exists( $path . 'feed.php' ) ) {
		return $path . 'feed.php';
	} elseif ( $part === 'header' && file_exists( $path . 'header.php' ) ) {
		return $path . 'header.php';
	} elseif ( $part === 'item' && file_exists( $path . 'item.php' ) ) {
		return $path . 'item.php';
	} elseif ( $part === 'header-generic' && file_exists( $path . 'header-generic.php' ) ) {
		return $path . 'header-generic.php';
	} elseif ( $part === 'header' && file_exists( $path . 'header.php' ) ) {
		return $path . 'header-text.php';
	} elseif ( $part === 'header-text' && file_exists( $path . 'header-text.php' ) ) {
		return $path . 'header-text.php';
	} elseif ( $part === 'header-boxed' && file_exists( $path . 'header-boxed.php' ) ) {
		return $path . 'header-boxed.php';
	} elseif ( $part === 'footer' && file_exists( $path . 'footer.php' ) ) {
		return $path . 'footer.php';
	}


	return $file;
}
add_filter( 'sbi_feed_template_part', 'sbi_templates_change_template', 10, 3 );